module doodul.player;

import vibe.vibe;

import doodul.app;

class Player
{
	string nickname;
	WebSocket socket;
	PlayerRole role = PlayerRole.waiter;

	this(string nickname, WebSocket socket)
	{
		this.nickname = nickname;
		this.socket = socket;
	}

	void sendMessage(string type, Json data)
	{
		socket.send(WebSocketMessage(type, data).serializeToJsonString);
	}
}

enum PlayerRole
{
	waiter,
	drawer,
	guesser,
	wordFinder
}
